be.cin.mycarenet.esb.common.v2

## Class AttributeType

- java.lang.Object
- - be.cin.mycarenet.esb.common.v2.AttributeType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:56:01+01:00",
                 comments="JAXB RI v2.3.7")
      public class AttributeType
      extends Object
      implements Serializable

  Java class for AttributeType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AttributeType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Value" type="{http://www.w3.org/2001/XMLSchema}anySimpleType"/>
             </sequence>
             <attribute name="Key" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKey()` Gets the value of the key property.
    `Object` | `getValue()` Gets the value of the value property.
    `void` | `setKey(String value)` Sets the value of the key property.
    `void` | `setValue(Object value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeType

          public AttributeType()

  - ### Method Detail

    - #### getValue

          public Object getValue()

      Gets the value of the value property.
      Returns:
        possible object is `Object`

    - #### setValue

          public void setValue(Object value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `Object`

    - #### getKey

          public String getKey()

      Gets the value of the key property.
      Returns:
        possible object is `String`

    - #### setKey

          public void setKey(String value)

      Sets the value of the key property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.